import request from '@/utils/request'

// 商品分页列表
export function list(params) {
  return request({
    url: '/commodity/page',
    method: 'get',
    params
  })
}

// 新增
export function add(data) {
  return request({
    url: '/commodity/add',
    method: 'post',
    data
  })
}


// 商品详情
export function detail(params) {
  return request({
    url: '/commodity/detail',
    method: 'get',
    params
  })
}

// 商品提交新审核的编辑详情
export function editDetail(params) {
  return request({
    url: '/commodity/editDetail',
    method: 'get',
    params
  })
}

// 商品审核中详情
export function authDetail(params) {
  return request({
    url: '/commodity/authDetail',
    method: 'get',
    params
  })
}



// 修改
export function edit(data) {
  return request({
    url: '/commodity/edit',
    method: 'put',
    data
  })
}

// 上下架
export function changeStatus(params) {
  return request({
    url: '/commodity/changeStatus',
    method: 'get',
    params
  })
}

// 商品分页列表统计各类型的数量
export function getCountByType() {
  return request({
    url: '/commodity/getCountByType',
    method: 'get',
  })
}



